# $Revision: 1.49 $, $Date: 2009/02/07 16:57:04 $
#TODO
#- udev rules
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel
%bcond_with	verbose		# verbose build (V=1)
#
%if !%{with kernel}
%undefine	with_dist_kernel
%endif

%define		rel	39
Summary:	Toshiba Laptop Bluetooth module
Summary(pl.UTF-8):	Moduł Bluetooth dla laptopów Toshiby
Name:		toshbt
Version:	1.0
Release:	%{rel}
Epoch:		0
License:	GPL
Group:		Base/Kernel
Source0:	http://0bits.com/toshbt/%{name}-%{version}.tar.gz
# Source0-md5:	8e4764f6c438427b00fb9aa93abb3cd7
URL:		http://0bits.com/
%if %{with kernel} && %{with dist_kernel}
BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2
BuildRequires:	rpmbuild(macros) >= 1.379
%endif
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Toshiba Laptop Bluetooth module.

%description -l pl.UTF-8
Moduł Bluetooth dla laptopów Toshiby.

%package -n kernel%{_alt_kernel}-misc-%{name}
Summary:	Linux driver for Toshiba Laptop Bluetooth
Summary(pl.UTF-8):	Sterownik dla Linuksa dla Bluetooth w Laptopach Toshiba
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel}
Requires:	module-init-tools >= 3.2.2-2
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-misc-%{name}
This is driver for Bluetooth in Toshiba Laptops for Linux.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-misc-%{name} -l pl.UTF-8
Sterownik dla Linuksa dla Bluetooth w Laptopach Toshiba.

Ten pakiet zawiera moduł jądra Linuksa.

%prep
%setup -q -n %{name}

%build
%build_kernel_modules -m %{name}

%install
rm -rf $RPM_BUILD_ROOT

%install_kernel_modules -m %{name} -d misc -n %{name} -s current

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-misc-%{name}
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-misc-%{name}
%depmod %{_kernel_ver}

%files -n kernel%{_alt_kernel}-misc-%{name}
%defattr(644,root,root,755)
/etc/modprobe.d/%{_kernel_ver}/%{name}.conf
/lib/modules/%{_kernel_ver}/misc/%{name}-current.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: toshbt.spec,v $
Revision 1.49  2009/02/07 16:57:04  arekm
- release 39

Revision 1.48  2009/01/25 12:55:45  arekm
- release 38

Revision 1.47  2009/01/19 12:30:23  arekm
- release 37

Revision 1.46  2009/01/15 12:54:10  arekm
- release 36

Revision 1.45  2009/01/10 22:37:32  arekm
- release 35

Revision 1.44  2008/12/19 06:31:06  arekm
- release 34

Revision 1.43  2008/12/14 11:43:01  arekm
- release 33

Revision 1.42  2008/12/06 09:00:15  arekm
- release 32

Revision 1.41  2008/12/01 16:51:19  wolvverine
- rel.31:2.6.27.7-3

Revision 1.40  2008/11/21 16:15:43  arekm
- release 30

Revision 1.39  2008/11/08 09:27:04  arekm
- release 29

Revision 1.38  2008/11/04 07:42:01  arekm
- release 28

Revision 1.37  2008/10/13 20:47:55  arekm
- release 27

Revision 1.36  2008/09/02 06:42:10  arekm
- release 26

Revision 1.35  2008/08/21 13:55:05  wolvverine
- rel.25: 2.6.25.16

Revision 1.34  2008/08/07 06:21:46  arekm
- release 24

Revision 1.33  2008/08/03 10:25:33  arekm
- release 23

Revision 1.32  2008/08/01 09:36:44  wolvverine
- rel.22, STBR

Revision 1.31  2008/07/16 01:09:55  wolvverine
- rel.21, STBR

Revision 1.30  2008/06/28 12:51:38  wolvverine
- rel.20, STBR

Revision 1.29  2008-03-22 19:38:13  wolvverine
- rel. 19

Revision 1.28  2008-03-13 12:22:15  wolvverine
- rel.18

Revision 1.27  2008-03-02 19:30:15  wolvverine
- up 17

Revision 1.26  2008-02-19 19:22:26  qboosh
- spec renamed to toshbt.spec
- no kernel_ver_str in .src.rpm release

Revision 1.25  2008-02-13 00:00:02  wolvverine
- rel.16

Revision 1.24  2008-02-10 22:54:06  wolvverine
- rel.15

Revision 1.23  2008-01-25 22:51:16  wolvverine
- rel.14

Revision 1.22  2007-12-25 03:00:25  wolvverine
- change name, TODO change filename in cvs

Revision 1.21  2007-12-25 01:51:32  wolvverine
- up rel.13

Revision 1.20  2007-12-08 00:55:59  wolvverine
- rel.12

Revision 1.19  2007-11-21 20:33:04  wolvverine
- up rel for 2.6.22.14-1

Revision 1.18  2007-11-20 23:05:19  wolvverine
- rel.10 for 2.6.22.13-2

Revision 1.17  2007/11/06 16:26:16  wolvverine
- rel.9 - for 2.6.22.12-1

Revision 1.16  2007/11/03 10:41:53  wolvverine
- rel.8 for 2.6.22.11-1,correct R

Revision 1.15  2007/11/01 05:56:02  wolvverine
- rel.7 for 2.6.22.10-4

Revision 1.14  2007/08/27 12:11:54  wolvverine
- rel 6

Revision 1.13  2007/07/27 22:00:36  wolvverine
- rel.5

Revision 1.12  2007/05/13 19:34:07  shadzik
- add @%{_kernel_ver_str} to release string
- rel 4

Revision 1.11  2007/05/13 03:44:53  shadzik
- rel 3 to rebuild with new kernel

Revision 1.10  2007/04/09 00:24:30  shadzik
- proper rpm macros are not enough, you need also a proper kernel (updated kernel-module-build version)

Revision 1.9  2007/04/04 14:26:21  qboosh
- EA which was meant to be (not sure about x86_64)

Revision 1.8  2007/04/04 14:21:12  shadzik
- ExcludeArch ppc and ppc64
- rel 2

Revision 1.7  2007/04/04 13:01:32  shadzik
- use new %build_kernel_modules system
- use new kernel macros
- remove smp stuff
- fix Name
- add modprobe.d/toshbt.conf to %files

Revision 1.6  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.4  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.3  2006/09/08 16:14:41  qboosh
- main desc

Revision 1.2  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.1  2006/08/31 19:58:04  wolvverine
- init
